%define anolis_release 24
Name:           perl-FileHandle-Fmode
Version:        0.14
Release:        %{anolis_release}%{?dist}
Summary:        FileHandle::Fmode Perl module
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/FileHandle-Fmode
Source0:        https://cpan.metacpan.org/modules/by-module/FileHandle/FileHandle-Fmode-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  coreutils
BuildRequires:  dos2unix
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(strict)


%description
Determine whether a filehandle is opened for reading, writing, or both.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
Buildarch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n FileHandle-Fmode-%{version}
dos2unix README CHANGES

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/FileHandle*
%{_mandir}/man3/*

%files doc
%doc CHANGES README

%changelog
* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 0.14-24
- Rebuild for remove inappropriate build dependencies.

* Sat Feb 11 2023 Funda Wang <fundawang@yeah.net> - 0.14-23
- Import package for anolis 23
